<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

        <variable
            name="view"
            type="nz.co.spark.sampleshop.adapter.FilterViewHolder" />

        <variable
            name="sortType"
            type="nz.co.spark.sampleshop.data.response.SortType"/>

    </data>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingStart="@dimen/padding_large"
        android:paddingEnd="@dimen/padding_large"
        android:onClick="@{v -> view.onClick(sortType)}">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_title"
            style="@style/BaseTextView.Default"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/margin_small"
            android:layout_marginTop="@dimen/margin_small"
            android:gravity="start"
            android:text="@{sortType.displayName}"
            tools:text="@string/filters"
            android:textColor="@color/black"
            android:textSize="@dimen/font_size_large"/>
        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/gray04"/>
    </LinearLayout>
</layout>